%define upstream_name    Test-XML
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Test XPath assertions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::SemanticDiff)
BuildArch: noarch

%description
This module contains generic XML testing tools. See below for a list of
other modules with functions relating to specific XML modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.80.0-11.mga10
+ Revision: 2200927
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-10.mga9
+ Revision: 1806288
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1497588
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1272019
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1034862
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 936391
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 742870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 686580
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 515427
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 373914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 0.80.0-1.mga2
+ Revision: 182732
- imported package perl-Test-XML


* Tue Jun 28 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
